Skip to main content
GET
/
link
/
{linkId}
/
{workspaceId}
cURL
curl --request GET \
  --url https://api.cme.sh/link/{linkId}/{workspaceId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cme.sh/link/{linkId}/{workspaceId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cme.sh/link/{linkId}/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": true,
  "data": {
    "freeUserData": {
      "dropDownData": {
        "countries": [
          "<string>"
        ],
        "states": [
          "<string>"
        ],
        "cities": [
          "<string>"
        ],
        "devices": [
          "<string>"
        ],
        "userSelection": {}
      },
      "scoreCardDetails": {
        "data": {
          "totalClicks": 123,
          "uniqueCities": [
            "<string>"
          ],
          "uniqueCountries": [
            "<string>"
          ],
          "uniqueStates": [
            "<string>"
          ]
        },
        "chart": "<string>"
      }
    },
    "linkDetailsData": {
      "topBrowsers": {
        "data": {
          "browsers": [
            {
              "count": 123,
              "browser": "<string>"
            }
          ]
        },
        "chart": "<string>",
        "display": {
          "title": "<string>"
        }
      },
      "topDevices": {
        "data": {
          "devices": [
            {
              "count": 123,
              "device": "<string>"
            }
          ]
        },
        "chart": "<string>",
        "display": {
          "title": "<string>"
        }
      },
      "topPlatforms": {
        "data": {
          "devices": [
            {
              "platform": "<string>",
              "count": 123
            }
          ]
        },
        "chart": "<string>",
        "display": {
          "title": "<string>"
        }
      },
      "daywiseDevices": {
        "data": {
          "series": [
            {
              "name": "<string>",
              "data": [
                123
              ]
            }
          ],
          "seriesCategory": [
            "<string>"
          ]
        },
        "chart": "<string>",
        "display": {
          "title": "<string>"
        }
      },
      "topStates": {
        "data": [
          {
            "count": 123,
            "state": "<string>"
          }
        ],
        "chart": "<string>",
        "display": {
          "title": "<string>"
        }
      },
      "topCities": {
        "data": [
          {
            "city": "<string>",
            "count": 123
          }
        ],
        "chart": "<string>",
        "display": {
          "title": "<string>"
        }
      },
      "clickTrends": {
        "data": {
          "totalClicks": 123,
          "percentageIncrease": 123
        },
        "chart": "<string>",
        "display": {
          "title": "<string>"
        }
      },
      "monthYearPlatform": {
        "data": {
          "series": [
            {
              "name": "<string>",
              "data": [
                123
              ]
            }
          ],
          "categories": [
            "<string>"
          ]
        },
        "chart": "<string>",
        "display": {
          "title": "<string>",
          "xAxisTitle": "<string>",
          "yAxis": "<string>"
        }
      },
      "hourDayClicks": {
        "data": {
          "series": [
            123
          ],
          "categories": [
            123
          ]
        },
        "chart": "<string>",
        "display": {
          "title": "<string>",
          "xAxisTitle": "<string>",
          "yAxis": "<string>"
        }
      },
      "clickedCountries": {
        "data": [
          "<array>"
        ],
        "chart": "<string>",
        "display": {
          "title": "<string>",
          "yAxis": "<string>"
        }
      }
    },
    "advanceAnalyticsData": {
      "advAnalytics": {
        "power_parity_recommendation": {
          "name": "<string>",
          "treeData": {
            "chart": "<string>",
            "display": {
              "title": "<string>"
            },
            "data": {}
          },
          "pieChart": {
            "chart": "<string>",
            "display": {
              "title": "<string>"
            },
            "data": {
              "Prosperity Zones": 123,
              "Balanced Economies": 123,
              "Economic Struggles": 123
            }
          }
        },
        "population_literacy_recommendation": {
          "name": "<string>",
          "treeData": {
            "chart": "<string>",
            "display": {
              "title": "<string>"
            },
            "data": {}
          },
          "pieChart": {
            "chart": "<string>",
            "display": {
              "title": "<string>"
            },
            "data": {
              "Educational Frontiers": 123,
              "Diverse Growth Districts": 123,
              "Emerging Development Corridors": 123
            }
          }
        },
        "upi_penetration_recommendation": {
          "name": "<string>",
          "treeData": {
            "chart": "<string>",
            "display": {
              "title": "<string>"
            },
            "data": {}
          },
          "pieChart": {
            "chart": "<string>",
            "display": {
              "title": "<string>"
            },
            "data": {
              "Advanced UPI Adoption": 123,
              "Intermediate UPI Integration": 123,
              "UPI Beginners": 123
            }
          }
        },
        "age_groups_recommendation": {
          "name": "<string>",
          "treeData": {
            "chart": "<string>",
            "display": {
              "title": "<string>"
            },
            "data": {}
          },
          "pieChart": {
            "chart": "<string>",
            "display": {
              "title": "<string>"
            },
            "data": {
              "Youthful EpiCenters": 123,
              "Age-Balanced Environments": 123,
              "Youth Deficient Districts": 123
            }
          }
        }
      }
    }
  }
}
{
"status": true,
"errors": [
{
"code": "<string>",
"errorMessage": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

Id of the Link

workspaceId
string
required

Id of the Workspace

Response

Link analytics response

status
boolean
data
object